Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.eventusermodel
Class XSSFReader.SheetIterator

    java.lang.Object
      org.apache.poi.xssf.eventusermodel.XSSFReader.SheetIterator

All Implemented Interfaces:
  java.util.Iterator<java.io.InputStream>

Enclosing class:
  XSSFReader

    public static class XSSFReader.SheetIterator

extends java.lang.Object
implements java.util.Iterator<java.io.InputStream>

Iterator over sheet data.

Method Summary
`java.lang.String` | `getSheetName()` Returns name of the current sheet
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`java.io.InputStream` | `next()` Returns input stream of the next sheet in the iteration
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the iteration has more elements.

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.io.InputStream>`
  Returns:
    `true` if the iterator has more elements.

### next

    public java.io.InputStream next()

  Returns input stream of the next sheet in the iteration

  Specified by:
    `next` in interface `java.util.Iterator<java.io.InputStream>`
  Returns:
    input stream of the next sheet in the iteration

### getSheetName

    public java.lang.String getSheetName()

  Returns name of the current sheet

  Returns:
    name of the current sheet

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.io.InputStream>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.